# Created by pyp2rpm-3.0.2
%global pypi_name ripozo
%global sum RESTful API framework with HATEOAS support

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        12%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            http://ripozo.org/
Source0:        https://github.com/vertical-knowledge/%{pypi_name}/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-tox
BuildRequires:  python3-unittest2

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-theme-alabaster

%description
Ripozo is a tool for building RESTful/HATEOAS/Hypermedia APIs. It provides
strong, simple, and fully qualified linking between resources, the ability
to expose available actions and necessary parameters on a resource, and
exposing multiple REST protocols (i.e. SIREN and HAL). Finally, ripozo is
highly extensible. It is able to integrate with any web framework or database
and you can easily roll out your own REST protocols.


%package -n     python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-six
Suggests:       %{name}-doc = %{version}-%{release}

Obsoletes:      python2-%{pypi_name} < 1.3.0-8
Obsoletes:      python-%{pypi_name} < 1.3.0-8

%description -n python3-%{pypi_name}
Ripozo is a tool for building RESTful/HATEOAS/Hypermedia APIs. It provides
strong, simple, and fully qualified linking between resources, the ability
to expose available actions and necessary parameters on a resource, and
exposing multiple REST protocols (i.e. SIREN and HAL). Finally, ripozo is
highly extensible. It is able to integrate with any web framework or database
and you can easily roll out your own REST protocols.


%package doc
Summary: Documentation for python-%{pypi_name} package

%description doc
Documentation for ripozo, a tool for building RESTful/HATEOAS/Hypermedia APIs.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# No such plugin in Sphinx 2
sed -i /sphinx.ext.pngmath/d docs/source/conf.py


%build
%py3_build

cd docs/
make SPHINXBUILD=sphinx-build-3 html
rm build/html/.buildinfo
cd ..


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files doc
%doc README.rst CHANGELOG.rst
%doc docs/build/html
%license LICENSE.txt

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-9
- Rebuilt for Python 3.7

* Fri Mar 02 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-8
- Remove legacy Python subpackage

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 08 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.3.0-6
- Fix ambiguous Python 2 dependency declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri May 13 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-1
- Initial package.